curl --request POST \
--url https://api.example.com/api/query/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"query": "<string>"
}
'import requests
url = "https://api.example.com/api/query/submit"
payload = {
"domain": "<string>",
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', query: '<string>'})
};
fetch('https://api.example.com/api/query/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_url": "<string>",
"domain": "<string>",
"domain_urn": "<string>",
"query": "<string>",
"prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dashboard_id": 123,
"embed_info": {
"embed_url": "<string>",
"entity_id": 123,
"token": "<string>"
},
"error": "<string>",
"analytics_provider": "superset"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Submit a query to save it and get visualizations
Submit a query. Returns the details of the submitted query.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Response
Query for a card submitted successfully.
URL of the visualized card or dashboard generated from the query.
The domain context related to the query or response.
The unique URN representing the domain in the metadata system.
The SQL query generated or executed in response to the user's prompt.
The original prompt or question submitted by the user.
A unique identifier for the AI response or query.
The unique identifier of the dashboard created.
URL to embed the resulting visualization or card.
Show child attributes
Show child attributes
Error message if any occurred during query generation or execution.
The analytics platform used for visualization.
Was this page helpful?

